{
  "schema_version": "1.4.0",
  "id": "GHSA-g3pv-wmg4-q78r",
  "modified": "2025-04-11T03:42:56Z",
  "published": "2022-05-03T03:25:14Z",
  "aliases": [
    "CVE-2011-0026"
  ],
  "details": "Integer signedness error in the SQLConnectW function in an ODBC API (odbc32.dll) in Microsoft Data Access Components (MDAC) 2.8 SP1 and SP2, and Windows Data Access Components (WDAC) 6.0, allows remote attackers to execute arbitrary code via a long string in the Data Source Name (DSN) and a crafted szDSN argument, which bypasses a signed comparison and leads to a buffer overflow, aka \"DSN Overflow Vulnerability.\"",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-0026"
    },
    {
      "type": "WEB",
      "url": "https://docs.microsoft.com/en-us/security-updates/securitybulletins/2011/ms11-002"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A12333"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/70443"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/42804"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/css/P8/documents/100124846"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/45695"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1024947"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA11-011A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0075"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-11-001"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-01-12T01:00:00Z"
  }
}